Subject: Re: [PATCH 1/2] selftests/harness: fix XFAIL_ADD matching when test metadata is not initialized

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 Feb 2026 18:53:21 -0800

On Tue, 24 Feb 2026 10:43:15 +0800 sun jian wrote:
> > Constructors seem to have a concept of priority so if we have to,
> > we should probably used those for the fix.  
> 
> I considered constructor priorities, but I'd prefer to avoid relying on
> toolchain/linker specific init ordering here. 

I thought constructor priorities were specifically created to avoid the
problem you are seeing. What it is the point of constructor priorities
if not to order constructors??